# __gnu_parallel::multiway_mergesort_tag Struct Reference

Forces parallel sorting using multiway mergesort at compile time. More...

Inheritance diagram for __gnu_parallel::multiway_mergesort_tag:

List of all members.

## Public Member Functions

- thread_index_t get_num_threads ()
- multiway_mergesort_tag (thread_index_t num_threads)
- void set_num_threads (thread_index_t num_threads)

## Detailed Description

Forces parallel sorting using multiway mergesort at compile time.

Definition at line 134 of file tags.h.

## Member Function Documentation

thread_index_t __gnu_parallel::parallel_tag::get_num_threads | ( |  | ) | `[inline, inherited]`

Find out desired number of threads.

Returns:
  Desired number of threads.

Definition at line 67 of file tags.h.

Referenced by __gnu_parallel::parallel_sort().

void __gnu_parallel::parallel_tag::set_num_threads | ( | thread_index_t | num_threads | ) | `[inline, inherited]`

Set the desired number of threads.

Parameters:

  | num_threads | Desired number of threads.

Definition at line 77 of file tags.h.

The documentation for this struct was generated from the following file:

- tags.h